
TARGET_NAME = usb

VPATH =
ModuleDefine =
TARGET_CPP =
TARGET_S =


# for USB System and HOST controller
MakeDIRS = os_port
MakeDIRS += includes
MakeDIRS += core
MakeDIRS += lib
MakeDIRS += base

ifeq "$(strip $(CODE))" "SAA"    # Samsung ARM S3C2510
  MakeDIRS += HostSS2510
endif
ifeq "$(strip $(CODE))" "E"      # Admtek MIPS ADM5120
  MakeDIRS += HostAdm
endif
ifeq "$(strip $(CODE))" "G"      # TI AR7 MIPS AR7300
  ifeq "$(strip $(_USB2))" "1"   # VIA 6212 USB 2.0 UHCI/EHCI PCI host controller
    MakeDIRS += HostVT6212
  else
    MakeDIRS += HostTNETV105
  endif
endif
ifeq "$(strip $(CODE))" "H"      # Atheros MIPS AR5315
  ifeq "$(strip $(_USB2))" "1"   # VIA 6212 USB 2.0 UHCI/EHCI PCI host controller
    MakeDIRS += HostVT6212
  else
    MakeDIRS += HostTNETV105
  endif
endif


MakeDIRS += dev



TARGET_C = 

# for USB SubSytem
TARGET_C += UsbSysInit.c

# USB MAC Layer Device

ifneq "$(strip $(_USB_MAC))" ""
ifneq "$(strip $(_USB_MAC))" "0"
	MakeDIRS += mac
endif
endif

# USB Mass Storage Class

ifneq "$(strip $(_USB_MS))" ""
ifneq "$(strip $(_USB_MS))" "0"
	MakeDIRS += storage
	# MakeDIRS += lib
endif
endif


