
// Name of File : UsbLptDbg.h
// ====================================================================
/*
#include "EtcpipDbg.h" // 2002/10/25 B. S. Liaw
          // for deciding whether to compile
          //  Debug Version or Release Version
*/
// ====================================================================
// Macro for deciding whether to print a lot of 
// debugging information for USBLPT .

// #undef _CODE_TYPE_DEBUG

#ifdef _CODE_TYPE_DEBUG // 2003/01/24 B. S. Liaw
	
    // Turn On debug message Needed
	#define USBLPT_CODE_TYPE_DEBUG // 2003/5/19 B. S. Liaw
    #define USBLPT_BS_ASSERT
    
    /*
    // Turn Off all debug message and Turn On Debug Assert Only !!
	#undef USBLPT_CODE_TYPE_DEBUG // 2003/5/19 B. S. Liaw
    #undef USBLPT_BS_ASSERT
	#undef USBLPT_BS_SYSCAL_ASSERT
    */
    
 #else
	#undef USBLPT_CODE_TYPE_DEBUG // 2003/5/19 B. S. Liaw
    #undef USBLPT_BS_ASSERT
	#undef USBLPT_BS_SYSCAL_ASSERT
#endif // _CODE_TYPE_DEBUG // 2003/01/24 B. S. Liaw

// ====================================================================

#ifdef USB_BS_ASSERT
	#define USBLPT_BS_ASSERT
#endif // USB_BS_ASSERT

// ====================================================================
// Macro for deciding whether to print a lot of 
// debugging information.

#ifdef USBLPT_CODE_TYPE_DEBUG // 2003/01/24 B. S. Liaw
	#warning : USB LPT Debug Message : ON !!

	// 2003/7/5 B. S. Liaw , Move from UsbLpt.h
	#define EPSON_LPT_DIAG      // 2003/4/14 B. S. Liaw , 
    							// for EPSON LPT only
                                
	// #define LPT_DIAG_NOT_CHECK  // 2003/9/4 B. S. Liaw
	// #define LPT_DIAG_NOT_PRINT  // 2003/6/9 B. S. Liaw
	// #define LPT_DIAG_LOOP	// 2003/6/12 B. S. Liaw , 
    							// for infinite test
	// #define LPT_DIAG_NOT_SHOW   // Not Show Any Diag Message

	// #define LPT_DIAG_SPEED   // 2003/10/20 B. S. Liaw
    // LPT_AUTO_DIAG : call ParallelTest() on end of usblp_probe()
    // #define LPT_AUTO_DIAG

	// ================================================================

	// #define USBLPT_DBG_INIT_ON
    
     // #define USBLPT_DBG_FLOW_ON
     // #define USBLPT_DBG_FLOWLOOP_ON
    
    // #define USBLPT_DBG_INFO_ON
    
	// #define USBLPT_DEBUG_PRINT_CHAR_ON  // for low level print
	// #define USBLPT_DEBUG_PRINT_ON  // for low level print
	// #define USBLPT_DEBUG_SPOOL_ON     // for high level (paging) print
    
    // #define USBLPT_DBG_MEM_ON
   
     // #define USBLPT_DBG_URB_ON
     // #define USBLPT_DBG_CALLBACK_ON
    
     // #define USBLPT_DBG_READ_ON
     // #define USBLPT_DBG_WRITE_ON
    
    // ============================= 
    // Debug Assert !!
    #define USBLPT_BS_ASSERT        
	#ifdef USBLPT_DBG_INIT_ON
		#define USBLPT_BS_SYSCAL_ASSERT
	#endif
     #define USBLPT_DBG_ABORT   // for debug Abort/Prefetch Error !!
    
 #else
   // #error : Not Turn Debug Message !!
   // #warning : USB LPT Debug Message : OFF !!
    
	#define EPSON_LPT_DIAG      // 2003/4/14 B. S. Liaw , 
    							// for EPSON LPT only
	//#define LPT_DIAG_NOT_PRINT  // 2003/6/9 B. S. Liaw
	//#define LPT_DIAG_LOOP	// 2003/6/12 B. S. Liaw , 
    							// for infinite test
	#undef  LPT_DIAG_NOT_SHOW   // Not Show Any Diag Message
    	#undef  LPT_AUTO_DIAG
#endif

// --------------------------------------------------------------------

#ifdef USBLPT_DBG_INFO_ON
     #define USBLPT_DBG_INFO(A) { A ; }
 #else
     #define USBLPT_DBG_INFO(A)
#endif

#ifdef USBLPT_DBG_FLOW_ON
     #define USBLPT_DBG_FLOW(A) { A ; }
 #else
     #define USBLPT_DBG_FLOW(A)
#endif

#ifdef USBLPT_DBG_FLOWLOOP_ON
     #define USBLPT_DBG_FLOWLOOP(A) { A ; }
 #else
     #define USBLPT_DBG_FLOWLOOP(A)
#endif

#ifdef USBLPT_DBG_FLOWTIMCRY_ON
     #define USBLPT_DBG_FLOWTIMCRY(A) { A ; }
 #else
     #define USBLPT_DBG_FLOWTIMCRY(A)
#endif
/*
#if defined( USBLPT_DEBUG_STATUS_ON)
     #define USBLPT_DBG_STATUS(A) { A ; }
   #else
     #define USBLPT_DBG_STATUS(A)
#endif 
*/
#ifdef USBLPT_DBG_INIT_ON
     #define USBLPT_DBG_INIT(A) { A ; }
   #else
     #define USBLPT_DBG_INIT(A)
#endif

#if defined( USBLPT_DEBUG_PRINT_CHAR_ON)
     #define USBLPT_DBG_PRINT_CHAR(A) { A ; }

   #else
     #define USBLPT_DBG_PRINT_CHAR(A)
#endif

#if defined( USBLPT_DEBUG_PRINT_ON)
     #define USBLPT_DBG_PRINT(A) { A ; }

   #else
     #define USBLPT_DBG_PRINT(A)
#endif

#if defined( USBLPT_DEBUG_SPOOL_ON)
     #define USBLPT_DBG_SPOOL(A) { A ; }
   #else
     #define USBLPT_DBG_SPOOL(A)
#endif 

#ifdef USBLPT_DBG_MEM_ON
     #define USBLPT_DBG_MEM(A) { A ; }
   #else
     #define USBLPT_DBG_MEM(A)
#endif

#ifdef USBLPT_DBG_URB_ON
     #define USBLPT_DBG_URB(A) { A ; }
   #else
     #define USBLPT_DBG_URB(A)
#endif

#ifdef USBLPT_DBG_CALLBACK_ON
     #define USBLPT_DBG_CALLBACK(A) { A ; }
   #else
     #define USBLPT_DBG_CALLBACK(A)
#endif

#ifdef USBLPT_DBG_TIMER_ON
     #define USBLPT_DBG_TIMER(A) { A ; }
   #else
     #define USBLPT_DBG_TIMER(A)
#endif

#ifdef USBLPT_DBG_EVT_ON
     #define USBLPT_DBG_EVT(A) { A ; }
   #else
     #define USBLPT_DBG_EVT(A)
#endif

#ifdef USBLPT_DBG_EVTLOOP_ON
     #define USBLPT_DBG_EVTLOOP(A) { A ; }
   #else
     #define USBLPT_DBG_EVTLOOP(A)
#endif

#ifdef USBLPT_DBG_ATTACH_ON
     #define USBLPT_DBG_ATTACH(A) { A ; }
   #else
     #define USBLPT_DBG_ATTACH(A)
#endif

#ifdef USBLPT_DBG_PIPE_ON
     #define USBLPT_DBG_PIPE(A) { A ; }
   #else
     #define USBLPT_DBG_PIPE(A)
#endif

#ifdef USBLPT_DBG_CTLMSG_ON
     #define USBLPT_DBG_CTLMSG(A) { A ; }
   #else
     #define USBLPT_DBG_CTLMSG(A)
#endif

#ifdef USBLPT_DBG_READ_ON
     #define USBLPT_DBG_READ(A) { A ; }
   #else
     #define USBLPT_DBG_READ(A)
#endif

#ifdef USBLPT_DBG_WRITE_ON
     #define USBLPT_DBG_WRITE(A) { A ; }
   #else
     #define USBLPT_DBG_WRITE(A)

#endif


// --------------------------------------------------------------------

// ====================================================================
// End of File : UsbLptDbg.h

