

// Name of File : UsbMsInit.h
// ====================================================================

#ifndef __USB_MS_INIT_H__
#define __USB_MS_INIT_H__

// ====================================================================

// ====================================================================

#if (_USB_MS >= 1)
	extern void UsbMsInit(void) ; // on storage/UsbMsInit.c

	extern int devices_init(void) ;
	extern int platform_bus_init(void) ;
	extern int buses_init(void) ;
	extern int classes_init(void) ;

	extern void bdev_cache_init(void) ; // on block_dev.c
	/*
	#ifndef INODE_REDUCED
		extern void inode_init(unsigned long mempages) ; // on inode.c
	 #else
	*/
		extern void inode_init(void) ; // on inode.c
	/*
	#endif
	*/
	extern int init_bio(void) ; // on fs/bio.c
	extern void buffer_init(void) ; // on buffer.c

	extern int device_init(void) ; // on genhd.c

	extern int init_scsi(void) ;
	extern int scsi_debug_init(void) ;
	extern int init_sg(void) ;
	extern int init_sd(void) ;

	extern int usb_stor_init(void) ;
#endif // _USB_MS

// ====================================================================

#endif // ndef __USB_MS_INIT_H__

// ====================================================================

// End of File : UsbMsInit.h
