#ifndef	_PART_H_
#define	_PART_H_

#define PARTITION_ID_SINGLE				0x81	// special use when partition table is null

// all return value from disk driver is
// 0: fail,
// 1: succeed(from physical)
// 2: succeed(from cache)
// 3: fail(busy)
typedef int (*BlkAPI)(unsigned long VolumeID, unsigned long SectorNo, void *Buffer);
typedef int (*BlkBAPI)(unsigned long VolumeID, unsigned long SectorNo, void *Buffer, unsigned short max_prefetch_sectors);
typedef int (*BlkEndAPI)(void);
typedef int (*uplugAPI)(void);


// share structure define --------------------------------------------------------------------------
// drive parameters for disk volumn mount 
struct DiskParamS {
	//	NumberOfDrives
	//	DriveNo
	//	DriveType
	//	Cylinders, Sectors, Heads
	//	BlockSize

	unsigned long TotalBlocks; // TotalBlocks, unsigned long, unit : blocks
	
	BlkAPI readIO;
	BlkAPI writeIO;
	BlkBAPI readBlkIO;
	//BlkBAPI writeBlkIO;
	BlkEndAPI rdAllIO;
	BlkEndAPI wrAllIO;
	
	uplugAPI unPlugIO;
};

#endif	// _PART_H_
